#
# Conditional build:
%bcond_with	bootstrap	# use foreign (non-rpm) ghc
#
Summary:	A lexical analyser generator for Haskell
Summary(pl.UTF-8):	Generator analizatorów składniowych dla Haskella
Name:		alex
Version:	3.0.5
Release:	1
License:	BSD-like w/o adv. clause
Group:		Development/Tools
Source0:	http://hackage.haskell.org/packages/archive/alex/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	018f9817cd3c094294c8ab83e530c1c8
URL:		http://haskell.org/alex/
BuildRequires:	autoconf
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
%{!?with_bootstrap:BuildRequires:	ghc >= 6.6}
BuildRequires:	ghc-QuickCheck >= 2
BuildRequires:	gmp-devel
%{!?with_bootstrap:BuildRequires:	happy}
BuildRequires:	libxslt-progs
#For generating documentation in PDF: fop or xmltex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions. It is similar to the tool lex or flex for C/C++.

%description -l pl.UTF-8
Alex to narzędzie do generowania analizatorów składniowych w Haskellu
na podstawie opisu tokenów do rozpoznawania w postaci wyrażeń
regularnych. Jest podobne do narzędzi lex lub flex dla C/C++.

%prep
%setup -q

%build
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build

cd doc
%{__autoconf}
%configure
%{__make} html
cd ..

%install
rm -rf $RPM_BUILD_ROOT
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README TODO doc/alex
%attr(755,root,root) %{_bindir}/alex
%{_datadir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/alex.git;a=log;h=master

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 1cfeffa
- ghc has been taught to use ld.bfd, no need for hackery here
- fixed doc install

* Sat May 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 605b6dc
- updated to 3.0.5, force ld.bfd

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> adeee8a
- 3.0.1

* Wed Apr 07 2010 Jan Rękorajski <baggins@pld-linux.org> 9f4dfaa
- up to 2.3.3

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 39bcee6
- release 2

* Wed Nov 25 2009 Jan Rękorajski <baggins@pld-linux.org> eed98ee
- 2.3.1

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 671c72a
- drop obsolete files

* Tue Jun 26 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2921908
- rel 2

* Wed Feb 21 2007 qrczak <qrczak@pld-linux.org> c66e49c
- 2.1.0
- Updated BR, files list

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 760206b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 89ffd96
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 5035797
- orphaned, outdated

* Mon Oct 17 2005 Jakub Bogusz <qboosh@pld-linux.org> d05d97f
- fix ppc too; release 3

* Mon Oct 17 2005 Jakub Bogusz <qboosh@pld-linux.org> bae258c
- added bootstrap bcond, release 2

* Mon Oct 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 8b2c036
- fixed build on alpha (match alpha-pld-linux as knwon arch)

* Sun Jul 03 2005 undefine <undefine@pld-linux.org> 0209d2c
- oops, too many docs ;)

* Sun Jul 03 2005 undefine <undefine@pld-linux.org> bed27d7
- up to 2.0.1, remove DESTDIR patch, use html docs (our tetex suxx)
- rel 1

* Tue Nov 30 2004 undefine <undefine@pld-linux.org> bdb3a57
- release 4

* Tue Nov 30 2004 undefine <undefine@pld-linux.org> 31b7e70
- remove workaround ;) works

* Tue Nov 30 2004 undefine <undefine@pld-linux.org> fe98126
- release 3, workaround for averne's bootstrap

